Accepted uim 1:1.1.0-1.2 (source)

Ubuntu Installer archive at
Tue Aug 8 07:18:14 BST 2006

 OK: uim_1.1.0-1.2.diff.gz
 OK: uim_1.1.0.orig.tar.gz
 OK: uim_1.1.0-1.2.dsc
     -> Component: universe Section: libs

Origin: Debian/unstable
Format: 1.7
Date: Wed,  02 Aug 2006 01:34:56 +0100
Source: uim
Binary: uim-m17nlib, uim-qt, libuim-dev, uim-skk, uim-fep, uim-el, uim-gtk2.0, uim-anthy, libuim0, uim-utils, uim-common, uim-prime, uim-xim, uim, uim-canna, uim-applet-gnome, libuim0-dbg
Architecture: source
Version: 1:1.1.0-1.2
Distribution: edgy
Urgency: high
Maintainer: Masahito Omote <omote at>
Changed-By: Barry deFreese <bddebian at>
 uim        - Simple and flexible input method collection and library
Closes: 341838 344943 345253 345253 345448 345449 345711 348294 355236 357798 375081 375081
 uim (1:1.1.0-1.2) unstable; urgency=low
   * Non-maintainer upload.
   * Added -Wno-cast-align to CFLAGS, as per the RM's recommendations:
     < vorlon> Sesse: -Wno-cast-align and to hell with it :P
     Really fixes FTBFS. (Really Closes: #375081)
 uim (1:1.1.0-1.1) unstable; urgency=high
   * Non-maintainer upload.
   * Make must_malloc return void* instead of char*, like the real malloc;
     fixes FTBFS on several architectures since the package is built using
     -Wcast-align -Werror. (Closes: #375081)
 uim (1:1.1.0-1.0.1) unstable; urgency=low
   * NMU.
   * im-switch scripts are improved to start safely and in 
     different modes.
   * README.Debian updated.
 uim (1:1.1.0-1) unstable; urgency=low
   * New upstream release
   * Acknowledge the NMU fix.
 uim (1:1.0.0-2.0.1) unstable; urgency=low
   * NMU.
   * Update to match im-switch.
   * README.Debian updated for GUI config tools and toolbar.
 uim (1:1.0.0-2) unstable; urgency=low
   * Acknowledge the NMU fix. (closes: Bug#345253)
   * debian/control:
     - cleanup. Obsolete -nox package is removed.
     - Add versioned dependency of uim-common and uim-utils.
       (closes: Bug#344943)
     - Remove circular Depends between uim-common and uim-utils.
       (closes: Bug#357798)
     - uim-applet-gnome: Add Depends: uim-gtk2.0. (closes: Bug#348294)
   * uim-common: Add mana-custom.scm which I forget to add.
     (closes: Bug#355236).
   * uim-common.postinst: Add byeoru support. (closes: Bug#345449)
   * uim-xim: Receiving XIM ERROR is already fixed in 1.0.0.
     (closes: Bug#341838)
   * im-switch/*: Fix typo and add byeoru and uim-m17nlib support.
     (closes: Bug#345448)
   * source): Remove Mimetype: text/plain.
     (closes: Bug#345711)
   * uim-qt: Add uim inputcontext plugin.
 uim (1:1.0.0-1.1) unstable; urgency=low
   * NMU to fix problem when removing the package (Closes: #345253):
     Migrated the behaviour of uim.postrm to be uim.prerm.
     Thanks to Mike O'Connor <stew at> for the solution.
 2718bca1d833178e0e95daa0981ce86f 73720 libs optional uim_1.1.0-1.2.diff.gz
 40a886894ea31be876380e64b3387442 2092779 libs optional uim_1.1.0.orig.tar.gz
 d1d1d9f3e89803aad3c1caf19aedaf6a 1203 libs optional uim_1.1.0-1.2.dsc

More information about the edgy-changes mailing list